import SGroupLayout from '../packages/s-group-layout/index'
import SGroupForm from '../packages/s-group-form/index'
import FileHandle from '../packages/file-handle/index'
import SUpload from '../packages/s-upload/index'
import SFileView from '../packages/s-file-view/index'
import SRichText from '../packages/s-rich-text/index'
import SDict from '../packages/s-dict/index'
import STreeDict from '../packages/s-tree-dict/index'
import SText from '../packages/s-text/index'
import { version } from '../package.json'

const components = [SGroupLayout, SGroupForm, FileHandle, SUpload, SFileView, SRichText, SDict, STreeDict, SText]
const install = function (Vue) {
  // 判断是否安装
  if (install.installed) {
    return
  }
  components.forEach((component) => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  version,
  install,
  SGroupLayout,
  FileHandle,
  SUpload,
  SFileView,
  SRichText,
  SGroupForm,
  SDict,
  STreeDict,
  SText
}
